=== debian/changelog ===
ros-one-laser-proc (0.1.6-2noble.20251023.0206) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@willowgarage.com>  Thu, 23 Oct 2025 02:06:44 +0000

ros-one-laser-proc (0.1.6-0noble) noble; urgency=high

  * Update required cmake version
  * Contributors: Jon Binney

 -- Chad Rockey <chadrockey@willowgarage.com>  Fri, 24 Apr 2020 00:00:00 -0000

ros-one-laser-proc (0.1.5-0noble) noble; urgency=high

  * update to use non deprecated pluginlib macro
  * Contributors: Jonathan Binney, Mikael Arguedas

 -- Chad Rockey <chadrockey@willowgarage.com>  Thu, 09 Aug 2018 00:00:00 -0000

ros-one-laser-proc (0.1.4-0noble) noble; urgency=high

  * Install fix for Android.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-laser-proc (0.1.3-0noble) noble; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-laser-proc (0.1.2-0noble) noble; urgency=high

  * Uncaught except when subscribing to most_intense on non-intensity scans.
  * Updated function to be const.
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Thu, 14 Mar 2013 00:00:00 -0000

ros-one-laser-proc (0.1.1-0noble) noble; urgency=high

  * Merge pull request #1 <https://github.com/ros-perception/laser_proc/issues/1> from ros-perception/fix_pluginlib_depend
    Add missing dependency on pluginlib
  * Add missing dependency on pluginlib
  * Contributors: Chad Rockey, William Woodall

 -- Chad Rockey <chadrockey@willowgarage.com>  Fri, 08 Mar 2013 00:00:00 -0000

ros-one-laser-proc (0.1.0-0noble) noble; urgency=high

  * Minor fixes.
  * Added ROS nodelet/node.
  * Adjusted advertiseLaser to be more standard.  Fixed seg fault with first and laser publishers.
  * Preparing to test with urg_node
  * Initial commit
  * Contributors: Chad Rockey, chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 04 Mar 2013 00:00:00 -0000
