=== debian/control ===
Source: ros-one-laser-proc
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-nodelet, ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/laser_proc
Standards-Version: 3.9.2

Package: ros-one-laser-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-nodelet, ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs
Description: laser_proc
